## openarena 0.8.8

=== debian/changelog ===
openarena (0.8.8-15) unstable; urgency=medium

  * Use DEB_VENDOR instead of lsb_release
  * Drop compatibility with ioquake3 (<< 1.36+u20130504)
  * debian/rules: simplify by building in a non-platform-specific directory
  * debian/rules: rely on a q3arch version that accepts command-lines like
    "q3arch make i386 linux-gnu", to avoid repeated invocation
  * openarena Recommends openarena-oacmp1 now that it is in Debian,
    and openarena-server Suggests it
  * Stop installing the legacy Debian menu file
    - stop converting the icon to XPM format
    - no longer needs a build-dependency on imagemagick
  * Normalize packaging through `wrap-and-sort -abst`
  * Remove unnecessary debian/tmp prefix from install files
  * Use https for Vcs-Git, to provide anonymous checkouts that
    still authenticate the server
  * Remove host architecture restriction: since 0.8.8-6 it has not actually
    excluded any Debian architecture

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Jan 2016 11:52:33 +0000

openarena (0.8.8-14) unstable; urgency=medium

  * Add arm64 support by applying Martin Michlmayr's patch from ioquake3,
    which is also needed here (Closes: #790668)

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Jul 2015 08:52:01 +0100

openarena (0.8.8-13) unstable; urgency=medium

  * Another try at making the build reproducible: force TZ=UTC so the
    changelog date comes out the same in any timezone, and LC_ALL=C.UTF-8
    so we always get the same month names. Based on a patch from
    Reiner Herrmann. (Closes: #784163)

 -- Simon McVittie <smcv@debian.org>  Mon, 04 May 2015 08:55:44 +0100

openarena (0.8.8-12) unstable; urgency=medium

  * Disable patch numbers in debian/patches, to reduce diffstat when patches
    are re-ordered
  * Use Debian changelog date as a replacement for __DATE__, for reproducible
    builds
  * Adjust logic for installing 0.8.1-, 0.8.5- and 0.8.8-compatible modules:
    - on the client, move the real files for the 0.8.5/0.8.8-compatible
      version into a pak6-patch088 subdirectory, so it is a little clearer
      that it (deliberately) differs from the 0.8.1-compatible version in
      the pak0 subdirectory
    - on the client, the fallback version for unknown servers is now
      a symlink into pak6-patch088 to make it clearer which version is used
    - on the client, the pak6-patch085 version is a symlink into
      pak6-patch088 (they appear to be compatible)
    - on the server, stop installing the 0.8.1-compatible version: the
      server controls which dialect of the network protocol is used,
      so only the 0.8.8 game code is necessary (Closes: #781385)
    - on the server, stop installing cgame and ui modules: the server
      only needs the qagame module
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Apr 2015 10:19:56 +0100

openarena (0.8.8-11) experimental; urgency=medium

  * Fix upgrades of openarena-server on systems that do not have
    quake3-server, which were broken by insufficient edits to the
    code taken from src:quake in 0.8.8-10 (Closes: #777468)
  * Switch Vcs-Browser to https on general principles

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Feb 2015 17:13:31 +0000

openarena (0.8.8-10) experimental; urgency=low

  * Link to readme_088.txt.gz and LINUXNOTES.gz, which are compressed by
    dh_compress in openarena-088-data and openarena-data respectively
    (Closes: #708626)
  * README.Debian: correct location of debian_server.cfg
    (part of a patch from Markus Koschany, Closes: #719592)
  * Recommend update-rc.d unconditionally: it "does the right thing"
    for each of sysvinit, systemd and upstart
  * Mention service(8) in README.Debian for completeness
  * Sync server support with quake/11:
    - remove support for START_DAEMON
    - if the server was previously disabled via START_DAEMON,
      do a one-time migration to "update-rc.d $SERVICE disable"
    - put default for DAEMON_OPTS in /etc/init.d/openarena-server so it can
      operate without /etc/default/openarena-server
    - "+exec etc/openarena-server/server.cfg" is no longer part of DAEMON_OPTS
    - add native systemd units
    - add optional instanced systemd units for multiple servers
      per machine; stop documenting how to do this with @reboot cron jobs
  * Use LDFLAGS on non-Linux too
  * Canonicalize Vcs-Git, Vcs-Browser and switch Vcs-Browser to cgit
  * Symlink all of /etc/openarena-server into the OpenArena search path
    as etc/openarena-server, so "exec etc/openarena-server/server.cfg"
    now works
  * Standards-Version: 3.9.6 (no changes needed)
  * In the .desktop file, describe it as an ActionGame, not an ArcadeGame

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Feb 2015 11:04:07 +0000

openarena (0.8.8-9) unstable; urgency=low

  * Merge from experimental to unstable
  * Add new watch file, using fakeupstream.cgi to work around the upstream
    downloads page not being uscan'able (thanks to Bart Martens)
  * debian/link-modules.sh: add symlinks so that on i386 and alpha, the game
    code can be loaded by either old ioquake3 (which looks for i386.so, axp.so)
    or new ioquake3 (which looks for x86.so, alpha.so)

 -- Simon McVittie <smcv@debian.org>  Sun, 12 May 2013 11:36:14 +0100

openarena (0.8.8-8) experimental; urgency=low

  * Merge from 0.8.8-5+deb7u2
    - Switch /usr/share/doc/openarena-dbg from a symlink to openarena-server
      to a real directory, fixing missing copyright file on upgrade
      from wheezy or sid (Closes: #698463) and unwanted dependency on
      openarena-server

 -- Simon McVittie <smcv@debian.org>  Sat, 19 Jan 2013 13:53:05 +0000

openarena (0.8.8-7) experimental; urgency=low

  * Merge from 0.8.8-5+deb7u1
    - Add patch from upstream to fix a client-triggerable server crash.
      Thanks to Poul Sander and Markus Koschany (Closes: #681812)
  * Request confirmation before enabling auto-downloading, which is
    a security risk (Closes: #686648)


