=== debian/watch ===
version=3
http://qa.debian.org/cgi-bin/fakeupstream.cgi?package=openarena .*=openarena-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|unknown\.suffix)
# only useful for tracking the version, not for downloading the upstream tarball
# Bart Martens <bartm@debian.org>  Sun, 20 Jan 2013 07:04:24 +0000
