=== debian/changelog ===
openarena (0.8.8+dfsg-11) unstable; urgency=medium

  * Set fs_homepath in preference to com_homepath.
    The interpretation of com_homepath has changed in recent ioquake3
    engine snapshots: previously com_homepath .openarena meant
    ~/.openarena, but now it means ~/.config/.openarena and so on (and
    conventionally it would not start with a dot). Use fs_homepath to
    preserve previous functionality: we shouldn't migrate to the XDG
    paths unless an official release from openarena.ws does so.
  * d/salsa-ci.yml: Disable unnecessary build jobs.
    There are no Architecture: all binary packages here, so the "any"
    build is redundant with the default build, and the "all" build
    does nothing.

 -- Simon McVittie <smcv@debian.org>  Tue, 28 Oct 2025 12:30:50 +0000

openarena (0.8.8+dfsg-10) unstable; urgency=medium

  * Add patch to control exported symbols in game modules.
    This avoids a crash on architectures where the engine executable
    exports symbols by default, such as riscv64 and s390x.
    (Closes: #1111671)

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Aug 2025 21:22:40 +0100

openarena (0.8.8+dfsg-9) unstable; urgency=medium

  [ Simon McVittie ]
  * Install symlinks to loadable modules without the architecture suffix.
    This makes this openarena compatible with versions of ioquake3 that
    were built with the new USE_ARCHLESS_FILENAMES option, which greatly
    simplifies its packaging, since we no longer need to maintain a
    table of Debian architectures and their corresponding ioquake3 naming.
  * d/salsa-ci.yml: Use recommended recipe
  * Standards-Version: 4.7.2 (no changes required)

  [ Alexandre Detiste ]
  * remove retired uploader Gonéri Le Bouder

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Aug 2025 20:21:48 +0100

openarena (0.8.8+dfsg-8) unstable; urgency=medium

  * Silence warnings from man(1) by using italic instead of underlines
  * d/p/Fix-a-typo-for-already.patch:
    Mark as applied upstream
  * d/p/Replace-Q_strncpy-to-be-safe-even-if-source-and-destinati.patch,
    d/p/Fix-secondary-weapon-models-registering-346.patch:
    Add patches from upstream to fix overlapping buffers with strncpy()
    and related functions.
    In particular, this fixes display of the machine gun's rotating
    barrel and the lightning gun's beam.
  * Standards-Version: 4.7.0 (no changes required)
  * d/p/g_admin-Fix-an-insufficiently-large-memset.patch:
    Backport a compiler warning fix from upstream
  * d/rules: Silence some noisy but unimportant warnings
  * d/.gitignore: Add
  * d/rules: Tell git to ignore the build directory

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 16:22:35 +0000

openarena (0.8.8+dfsg-7) unstable; urgency=medium

  * d/openarena-server.install: Don't explicitly install
    openarena-server@.service.
    dh_installsystemd does this for us automatically, and letting it
    take responsibility for the instanced unit should make it possible
    to move the systemd units to /usr/lib/systemd by binNMUing with a
    newer debhelper.
  * d/control: Drop unnecessary dependency on lsb-base.
    On systemd systems, this is unnecessary because the init script is
    not used, and on non-systemd systems, this is unnecessary because
    sysv-rc explicitly depends on lsb-base.
  * Remove version constraints unnecessary since bullseye (oldstable)
    on dpkg-dev, ioquake3, ioquake3-server, openarena-data.
  * Update standards version to 4.6.2, no changes needed.

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Oct 2023 10:09:21 +0100

openarena (0.8.8+dfsg-6) unstable; urgency=medium

  * d/p/build-Link-game-cgame-ui-modules-to-LIBS.patch:
    Mark patch as applied upstream
  * Standards-Version: 4.6.1 (no changes required)
  * Bump debhelper compatibility level from 12 to 13
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Oct 2022 22:17:33 +0100

openarena (0.8.8+dfsg-5) unstable; urgency=medium

  * Mark patch for #966150 as forwarded upstream
  * d/gbp.conf: Set packaging branch to debian/latest
  * Standards-Version: 4.5.1 (no changes required)
  * Add overrides for some Lintian false-positives (#973759, #971707)
  * Add patches to fix some typos
  * Silence Lintian tags for the "allready" console command.
    Lintian reasonably interprets this as a typo for "already", but it
    actually means "all ready".

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Dec 2020 14:15:39 +0000

openarena (0.8.8+dfsg-4) unstable; urgency=medium

  * d/p/build-Link-game-cgame-ui-modules-to-LIBS.patch:
    Explicitly link game, cgame, ui modules to libm (Closes: #966150)
  * Link with -Wl,-z,defs to assert that all modules are self-contained

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Jul 2020 12:48:28 +0100

openarena (0.8.8+dfsg-3) unstable; urgency=medium

  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Remove migration path from openarena-dbg, which was not in buster
  * Standards-Version: 4.5.0 (no changes required)
  * d/changelog: Trim trailing whitespace
  * Wrap long line in changelog entry for 0.6.0-3
  * Use debhelper-compat 12
    - Add ${misc:Pre-Depends} to both packages
  * d/upstream/metadata: Add
  * Use https for various URLs
  * Do a separate build of qagame*.so for the dedicated server.
    Give it a different version number, so that its build-ID is different,
    and hence its detached debug symbols don't collide with the ones from
    the client/listen-server package. This means we can build
    openarena-server-dbgsym in the obvious way.
  * d/*.service: Add Documentation fields
  * d/openarena.desktop: Add Keywords

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Feb 2020 10:08:50 +0000

openarena (0.8.8+dfsg-2) unstable; urgency=medium

  * d/copyright: Sort standalone license paragraph to the end, avoiding
    a Lintian warning
  * Standards-Version: 4.2.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Aug 2018 11:32:16 +0100


