=== debian/control ===
Source: openarena
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ioquake3-server,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/games-team/openarena.git
Vcs-Browser: https://salsa.debian.org/games-team/openarena
Homepage: https://openarena.ws/
Rules-Requires-Root: no

Package: openarena
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ioquake3,
 openarena-081-maps,
 openarena-081-misc,
 openarena-081-players,
 openarena-081-players-mature,
 openarena-081-textures,
 openarena-085-data,
 openarena-088-data,
 openarena-data (<< 0.8.6~),
 openarena-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openarena-oacmp1,
Description: fast-paced 3D first-person shooter
 OpenArena is an open-source content package for ioQuake3 licensed under the
 GPL, effectively creating a free stand-alone game. Though OpenArena is a free
 replacement for id Software Inc.'s Quake 3 Arena, it is NOT compatible with
 the proprietary game!
 .
 OpenArena might be considered unsuitable for children.
 .
 This package installs the OpenArena client.

Package: openarena-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ioquake3-server,
 openarena-081-maps,
 openarena-081-misc,
 openarena-081-players,
 openarena-081-players-mature,
 openarena-081-textures,
 openarena-085-data,
 openarena-088-data,
 openarena-data (<< 0.8.6~),
 openarena-data,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 openarena-oacmp1,
Description: server and game logic for the game OpenArena
 OpenArena is an open-source content package for ioQuake3 licensed under the
 GPL, effectively creating a free stand-alone game. Though OpenArena is a free
 replacement for id Software Inc.'s Quake 3 Arena, it is NOT compatible with
 the proprietary game!
 .
 This package installs the OpenArena dedicated server and its init script.
